OpenShot Audio Library | OpenShotAudio: juce::FileInputStream Class Reference

OpenShot Audio Library | OpenShotAudio 0.3.1

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::FileInputStream Class Reference

`#include <juce_FileInputStream.h>`

Inheritance diagram for juce::FileInputStream:

## Public Member Functions
| FileInputStream (const File &fileToRead)
| ~FileInputStream () override
const File & | getFile () const noexcept
const Result & | getStatus () const noexcept
bool | failedToOpen () const noexcept
bool | openedOk () const noexcept
int64 | getTotalLength () override
int | read (void *, int) override
bool | isExhausted () override
int64 | getPosition () override
bool | setPosition (int64) override
Public Member Functions inherited from juce::InputStream
virtual | ~InputStream ()=default
virtual int64 | getTotalLength ()=0
int64 | getNumBytesRemaining ()
virtual bool | isExhausted ()=0
virtual int | read (void *destBuffer, int maxBytesToRead)=0
ssize_t | read (void *destBuffer, size_t maxBytesToRead)
virtual char | readByte ()
virtual bool | readBool ()
virtual short | readShort ()
virtual short | readShortBigEndian ()
virtual int | readInt ()
virtual int | readIntBigEndian ()
virtual int64 | readInt64 ()
virtual int64 | readInt64BigEndian ()
virtual float | readFloat ()
virtual float | readFloatBigEndian ()
virtual double | readDouble ()
virtual double | readDoubleBigEndian ()
virtual int | readCompressedInt ()
virtual String | readNextLine ()
virtual String | readString ()
virtual String | readEntireStreamAsString ()
virtual size_t | readIntoMemoryBlock (MemoryBlock &destBlock, ssize_t maxNumBytesToRead=-1)
virtual int64 | getPosition ()=0
virtual bool | setPosition (int64 newPosition)=0
virtual void | skipNextBytes (int64 numBytesToSkip)

## Detailed Description

An input stream that reads from a local file.

See also
  InputStream, FileOutputStream, File::createInputStream

Definition at line 34 of file juce_FileInputStream.h.

## Constructor & Destructor Documentation

## ◆ FileInputStream()

juce::FileInputStream::FileInputStream | ( | const File & | fileToRead | ) |
| explicit

Creates a FileInputStream to read from the given file.

After creating a FileInputStream, you should use openedOk() or failedToOpen() to make sure that it's OK before trying to read from it! If it failed, you can call getStatus() to get more error information.

Definition at line 30 of file juce_FileInputStream.cpp.

## ◆ ~FileInputStream()

juce::FileInputStream::~FileInputStream | ( |  | ) |
| override

Destructor.

## Member Function Documentation

## ◆ failedToOpen()

bool juce::FileInputStream::failedToOpen | ( |  | ) | const
| inlinenoexcept

Returns true if the stream couldn't be opened for some reason.

See also
  getResult()

Definition at line 62 of file juce_FileInputStream.h.

## ◆ getFile()

const File & juce::FileInputStream::getFile | ( |  | ) | const
| inlinenoexcept

Returns the file that this stream is reading from.

Definition at line 51 of file juce_FileInputStream.h.

## ◆ getPosition()

int64 juce::FileInputStream::getPosition | ( |  | ) |
| overridevirtual

Returns the offset of the next byte that will be read from the stream.

See also
  setPosition

Implements juce::InputStream.

Definition at line 63 of file juce_FileInputStream.cpp.

## ◆ getStatus()

const Result & juce::FileInputStream::getStatus | ( |  | ) | const
| inlinenoexcept

Returns the status of the file stream. The result will be ok if the file opened successfully. If an error occurs while opening or reading from the file, this will contain an error message.

Definition at line 57 of file juce_FileInputStream.h.

## ◆ getTotalLength()

int64 juce::FileInputStream::getTotalLength | ( |  | ) |
| overridevirtual

Returns the total number of bytes available for reading in this stream.

Note that this is the number of bytes available from the start of the stream, not from the current position.

If the size of the stream isn't actually known, this will return -1.

See also
  getNumBytesRemaining

Implements juce::InputStream.

Definition at line 35 of file juce_FileInputStream.cpp.

Referenced by isExhausted().

## ◆ isExhausted()

bool juce::FileInputStream::isExhausted | ( |  | ) |
| overridevirtual

Returns true if the stream has no more data to read.

Implements juce::InputStream.

Definition at line 58 of file juce_FileInputStream.cpp.

## ◆ openedOk()

bool juce::FileInputStream::openedOk | ( |  | ) | const
| inlinenoexcept

Returns true if the stream opened without problems.

See also
  getResult()

Definition at line 67 of file juce_FileInputStream.h.

Referenced by getTotalLength(), juce::File::hasIdenticalContentTo(), juce::File::loadFileAsData(), juce::File::loadFileAsString(), read(), setPosition(), and juce::FileLogger::trimFileSize().

## ◆ read()

int juce::FileInputStream::read | ( | void * | destBuffer,
|  | int | maxBytesToRead
| ) |  |
| overridevirtual

Reads some data from the stream into a memory buffer.

This is the only read method that subclasses actually need to implement, as the InputStream base class implements the other read methods in terms of this one (although it's often more efficient for subclasses to implement them directly).

Parameters

  destBuffer | the destination buffer for the data. This must not be null.
  maxBytesToRead | the maximum number of bytes to read - make sure the memory block passed in is big enough to contain this many bytes. This value must not be negative.

Returns
  the actual number of bytes that were read, which may be less than maxBytesToRead if the stream is exhausted before it gets that far

Implements juce::InputStream.

Definition at line 43 of file juce_FileInputStream.cpp.

Referenced by juce::File::hasIdenticalContentTo().

## ◆ setPosition()

bool juce::FileInputStream::setPosition | ( | int64 | newPosition | ) |
| overridevirtual

Tries to move the current read position of the stream.

The position is an absolute number of bytes from the stream's start.

Some streams might not be able to do this, in which case they should do nothing and return false. Others might be able to manage it by resetting themselves and skipping to the correct position, although this is obviously a bit slow.

Returns
  true if the stream manages to reposition itself correctly

See also
  getPosition

Implements juce::InputStream.

Definition at line 68 of file juce_FileInputStream.cpp.

Referenced by juce::FileLogger::trimFileSize().

The documentation for this class was generated from the following files:

- juce_FileInputStream.h
- juce_FileInputStream.cpp